%global         srcname pyroute2

Summary:        Pure Python netlink library
Name:           python-%{srcname}
Version:        0.7.3
Release:        1%{?dist}
License:        GPLv2+
URL:            https://github.com/svinota/%{srcname}

Source0:        %{pypi_source pyroute2}

BuildArch:      noarch

%description
This package provides several levels of API to work with Netlink protocols,
such as Generic Netlink, RTNL, TaskStats, NFNetlink, IPQ.

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        Pure Python netlink library
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

Provides:       python-pyroute2 = %{version}-%{release}
Provides:       python%{python3_version}-pyroute2 = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{srcname}
This package provides several levels of API to work with Netlink protocols,
such as Generic Netlink, RTNL, TaskStats, NFNetlink, IPQ.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyroute2

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE.GPL-2.0-or-later LICENSE.Apache-2.0
%doc README*
%{_bindir}/ss2
%{_bindir}/%{srcname}-cli
%{_bindir}/%{srcname}-dhcp-client
%{_bindir}/%{srcname}-test-platform
%{python3_sitelib}/pr2modules

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 0.7.3-1
- update to 0.7.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.12-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.12-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.12-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Shuo Wang <abushwang@tencent.com> - 0.6.12-1
- initial build

